Package com.mckoi.database.global

## Interface StringAccessor

All Known Subinterfaces:
  `ClobRef`

All Known Implementing Classes:
  `StringObject`

    public interface StringAccessor

An interface used by the engine to access and process strings. This interface allows us to access the contents of a string that may be implemented in several different ways. For example, a string may be represented as a java.lang.String object in memeory, or it may be represented as an ASCII sequence in a store.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`java.io.Reader` `getReader()` Returns a Reader that allows the string to be read sequentually from start to finish.
`int` `length()` Returns the number of characters in the string.
`java.lang.String` `toString()` Returns this string as a java.lang.String object.

### Method Detail

#### length

    int length()

Returns the number of characters in the string.

#### getReader

    java.io.Reader getReader()

Returns a Reader that allows the string to be read sequentually from start to finish.

#### toString

    java.lang.String toString()

Returns this string as a java.lang.String object. Some care may be necessary with this call because a very large string will require a lot space on the heap.

Overrides:
  `toString` in class `java.lang.Object`